Download it now!
Bug 60791 - Impress remote: fix elapsed time tracking
Summary: Impress remote: fix elapsed time tracking
Status: RESOLVED FIXED
Alias: None
Product: Impress Remote
Classification: Unclassified
Component: Android Remote App (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Otakar Chasák
URL:
Whiteboard: target:4.1.0
Keywords: difficultyBeginner, easyHack, skillJava, topicCleanup
Depends on:
Blocks:
 
Reported: 2013-02-13 13:48 UTC by Michael Meeks
Modified: 2015-12-18 10:08 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
throw-away patch / attempt to cheat the selector into giving an editable selection~ failed (5.60 KB, text/plain)
2013-02-13 13:50 UTC, Michael Meeks
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Meeks 2013-02-13 13:48:09 UTC
The elapsed time tracking in the sdremote is just broken. I attach a partial patch to improve it but even this is awful.

I think we should have a simple combo-box / list of pre-canned / selectable times: 5 mins, 15 minutes etc. and (perhaps as an extra option) allow people to select a "Custom" time.

The setting should also be persisted.

The code is in android/sdremote/ variously - with some more code pointers in the patch (although the patch is mostly a throw-away thing).

Would love some input here !
Comment 1 Michael Meeks 2013-02-13 13:49:24 UTC
It's also worth noticing that building the androidremote is pretty easy if you have the SDK installed - there is no need to build much of LibreOffice, and you can turn a development iteration around pretty fast; just:

make clean all install # and quickly un-install on the device in parallel

inside android/sdremote :-)
Comment 2 Michael Meeks 2013-02-13 13:50:10 UTC
Created attachment 74753 [details]
throw-away patch / attempt to cheat the selector into giving an editable selection~ failed
Comment 3 Michael Meeks 2013-02-13 13:51:12 UTC
It should also be noted that the 'Next' button in that editable time entry behaves very oddly indeed - something is busted there.
Comment 4 Otakar Chasák 2013-02-26 18:11:13 UTC
I am starting work on it during this week.
Comment 5 Otakar Chasák 2013-04-07 21:45:06 UTC
Edittext replaced by AutoComplete - user can type his own value, or choose from predefined value. Choice is made persistent. Elapsed time is now repaired.

I will have to apply styles on predefined values.
Comment 6 Otakar Chasák 2013-04-23 18:40:23 UTC
I have sent changes for code review.
Comment 7 Commit Notification 2013-04-24 15:55:21 UTC
Ota Chasak committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b6ab91d55e1bfb487abba2b15589a1988178ee88

fdo#60791 - fix android remote count-down / clock.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Otakar Chasák 2013-04-24 19:50:56 UTC
Changes committed, MPLv2/LGPLv3+ license statement sent
Comment 9 Robinson Tryon (qubit) 2015-02-13 19:36:18 UTC
Moving bug to (new) 'Impress Remote' product.
Comment 10 Robinson Tryon (qubit) 2015-12-18 10:08:24 UTC
Migrating Whiteboard tags to Keywords: (EasyHack,DifficultyBeginner,SkillJava,TopicCleanup)
[NinjaEdit]